## libsecret 0.20.2

=== meson_options.txt ===
option('manpage', type: 'boolean', value: true, description: 'Build man pages')
option('gcrypt', type: 'boolean', value: true, description: 'With gcrypt and transport encryption')
option('debugging', type: 'boolean', value: false, description: 'Turn debugging on/off')
option('vapi', type: 'boolean', value: true, description: 'Create VAPI file.')
option('gtk_doc', type: 'boolean', value: true, description: 'Build reference documentation using gtk-doc')

## libsecret 0.10

=== debian/changelog ===
libsecret (0.10-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 18 Sep 2012 14:27:57 +0200

libsecret (0.9-0ubuntu3) quantal; urgency=low

  * debian/control:
    - Build-depend on gtk-doc-tools instead of xsltproc
    - Don't explicitly build-depend on gir1.2-glib-2.0
    - Add homepage
  * debian/libsecret-1-dev.install: Install vapi files

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Aug 2012 00:05:09 -0400

libsecret (0.9-0ubuntu2) quantal; urgency=low

  * debian/control: Build-Depends on xsltproc

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 20 Aug 2012 18:24:52 +0200

libsecret (0.9-0ubuntu1) quantal; urgency=low

  * New upstream version
  * debian/libsecret-tools.install:
    - install the manpage
  * debian/patches/copying-test.patch:
    - dropped, the fix is in the new version
  * debian/patches/git_test_issue.patch:
    - dropped, the fix is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 20 Aug 2012 17:32:50 +0200

libsecret (0.8-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Build-Depends on dbus-test-runner, python-dbus, python-gobject
  * debian/patches/dont_run_gjs_tests.patch:
    - don't run gjs tests since gjs is in universe
  * debian/rules:
    - enable tests but don't fail build on issues yet, there are issues
      when running them under fakeroot for example (dbus doesn't like it)
  * debian/copyright: drop reference to common-license BSD 
    (lintian warning)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 07 Aug 2012 16:43:10 +0200

libsecret (0.8-0ubuntu1) quantal; urgency=low

  * New upstream version
  * Install libsecret-unstable dev files as well
  * debian/control: 
    - updated some descriptions
  * debian/copyright: 
    - updated
  * debian/libsecret-1-dev.install: 
    - install the documentation
  * debian/libsecret-1-0.symbols:
    - updated for the new version
  * debian/patches/git_test_issue.patch:
    - git patch to fix a testsuite issue
  * debian/patches/copying-test.patch:
    - include COPYING.TESTS in the source (issue fixed in git)
  * debian/rules:
    - update test target but keep it commented, the dbus tests refuse
      to work during the package build (but works fine run manually)
    - clean files that are not shipped in binaries for --list-missing
    - override dh_install with --list-missing
    - use gir helper so Depends are right

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 11:49:10 +0200

libsecret (0.7-0ubuntu1) quantal; urgency=low

  * Initial Release. (LP: #1018630)

 -- Robert Ancell <robert.ancell@canonical.com>  Sat, 28 Jul 2012 17:51:13 +0200

=== debian/control ===
Source: libsecret
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Robert Ancell <robert.ancell@canonical.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.31.0),
               libgcrypt11-dev (>= 1.2.2),
               libgirepository1.0-dev (>= 1.29),
               gobject-introspection (>= 1.29),
               gtk-doc-tools,
               valac-0.18 (>= 0.17.2.12),
               dbus-test-runner,
               python-dbus,
               python-gobject
Standards-Version: 3.9.3
Homepage: https://live.gnome.org/Libsecret

Package: libsecret-1-dev
Architecture: any
Section: libdevel
Depends: libsecret-1-0 (= ${binary:Version}),
         gir1.2-secret-1 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends}
Description: Secret store (development files)
 Library for storing and retrieving passwords and other secrets.
 It communicates with the "Secret Service" using DBus.
 .
 This package contains the development files.

Package: libsecret-1-0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libsecret-common
Description: Secret store
 Library for storing and retrieving passwords and other secrets.
 It communicates with the "Secret Service" using DBus.

Package: libsecret-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Description: Secret store (common files)
 Library for storing and retrieving passwords and other secrets.
 It communicates with the "Secret Service" using DBus.
 .
 This package contains data files used by the libsecret library.

Package: libsecret-tools
Section: admin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tools for accessing secret store
 Provides tools for accessing the secret store.

Package: gir1.2-secret-1
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: Secret store (GObject-Introspection)
 This package contains introspection data for libsecret, which can be used
 to generate dynamic bindings.
 .
 libsecret is a library for storing and retrieving passwords and other secrets.
 It communicates with the "Secret Service" using DBus.
 .
 This package contains the introspection datas for the libsecret library.

=== debian/rules ===
#!/usr/bin/make -f

# Disable tests as they don't work for some reason
override_dh_auto_test:
	dbus-test-runner -t make -p check || true

%:
	dh $@ --with autoreconf,gir
	
override_dh_install:
	find debian/tmp/usr/lib -name *.la -delete
	dh_install --fail-missing

## libsecret 0.11

=== debian/changelog ===
libsecret (0.11-0ubuntu0.12.10.1) quantal-proposed; urgency=low

  * New upstream release to fix segfault in vinagre from using an invalid
    attribute. (LP: #1071055)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 31 Oct 2012 10:18:13 +0100

## libsecret 0.13

=== debian/changelog ===
libsecret (0.13-0ubuntu1) raring; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 08 Feb 2013 11:52:24 +0100

libsecret (0.12-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/libsecret-1-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 22 Nov 2012 11:52:24 +1300

libsecret (0.11-0ubuntu2) raring; urgency=medium

  * debian/control:
    - Add multiarch annotations and pre-depends (LP: #1073269)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 30 Oct 2012 17:44:47 +0100

libsecret (0.11-0ubuntu1) raring; urgency=low

  * New upstream release to fix segfault in vinagre from using an invalid
    attribute. (LP: #1071055)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 31 Oct 2012 10:18:13 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 %:
 	dh $@ --with autoreconf,gir
-	
+
 override_dh_install:
 	find debian/tmp/usr/lib -name *.la -delete
 	dh_install --fail-missing

## libsecret 0.15

=== debian/changelog ===
libsecret (0.15-2) unstable; urgency=low

  * Upload to unstable.
  * Don't hard-code dpkg in Pre-Depends but use ${misc:Pre-Depends} instead.
  * Add Vcs-* fields.
  * Drop alternative Build-Depends on valac-0.18. No longer required since
    valac is now recent enough.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 24 May 2013 17:34:58 +0200

libsecret (0.15-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 24 Mar 2013 13:27:34 +0100

libsecret (0.14-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * debian/control:
    - Add multiarch annotations and pre-depends

  [ Andreas Henriksson ]
  * New upstream release.
  * Update debian/libsecret-1-0.symbols: added SECMEM_pool_data_v1_0@Base 0.14

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 16 Mar 2013 14:53:57 +0100

libsecret (0.11-1) experimental; urgency=low

  * New upstrema release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 02 Nov 2012 22:10:15 +0100

libsecret (0.10-1) experimental; urgency=low

  * Upload to Debian

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 05 Oct 2012 20:59:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: libsecret
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Robert Ancell <robert.ancell@canonical.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                intltool (>= 0.35.0),
@@ -12,11 +16,13 @@
                libgirepository1.0-dev (>= 1.29),
                gobject-introspection (>= 1.29),
                gtk-doc-tools,
-               valac-0.18 (>= 0.17.2.12),
-               dbus-test-runner,
+               valac (>= 0.17.2.12),
                python-dbus,
-               python-gobject
-Standards-Version: 3.9.3
+               python-gobject,
+               gnome-pkg-tools
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/libsecret
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsecret/
 Homepage: https://live.gnome.org/Libsecret
 
 Package: libsecret-1-dev
@@ -26,6 +32,7 @@
          gir1.2-secret-1 (= ${binary:Version}),
          libglib2.0-dev,
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Secret store (development files)
  Library for storing and retrieving passwords and other secrets.
  It communicates with the "Secret Service" using DBus.
@@ -35,10 +42,11 @@
 Package: libsecret-1-0
 Section: libs
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libsecret-common
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Secret store
  Library for storing and retrieving passwords and other secrets.
  It communicates with the "Secret Service" using DBus.
@@ -47,6 +55,8 @@
 Section: libs
 Architecture: all
 Depends: ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: foreign
 Description: Secret store (common files)
  Library for storing and retrieving passwords and other secrets.
  It communicates with the "Secret Service" using DBus.
@@ -58,6 +68,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: foreign
 Description: Tools for accessing secret store
  Provides tools for accessing the secret store.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,11 @@
 #!/usr/bin/make -f
+
+include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
+-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 # Disable tests as they don't work for some reason
 override_dh_auto_test:
-	dbus-test-runner -t make -p check || true
+	make -p check || true
 
 %:
 	dh $@ --with autoreconf,gir

## libsecret 0.16

=== debian/changelog ===
libsecret (0.16-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Clarify documentation for secret_service_clear_xxx()
    - Pass return_type to prompt async begin functions, rather than finish
    - Simpler way to use custom service/collection/item types
    - service: Rename secret_service_new() and friends to xxx_open()
    - Add secret_value_get_text() function to return NULL terminated secret
    - Fix return types in secret_service_search_finish() on error paths
    - Testing fixes
    - Build fixes
    - Updated translations
  * debian/libsecret-1-0.symbols:
    - Updated
    - Note that some symbols were removed, but these were in the part of the
      library marked unstable. This affects only seahorse according to the
      author

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 16 Dec 2013 17:19:36 +1300

libsecret (0.15-2ubuntu1) saucy; urgency=low

  * Sync with Debian. Remaining changes:
    - Use dbus-test-runner for tests
    - debian/rules:
      + Build with --disable-silent-rules for a useful build log

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 May 2013 20:47:13 -0400

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: libsecret
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                intltool (>= 0.35.0),
                libglib2.0-dev (>= 2.31.0),
                libgcrypt11-dev (>= 1.2.2),
                libgirepository1.0-dev (>= 1.29),
+               dbus-test-runner,
                gobject-introspection (>= 1.29),
                gtk-doc-tools,
                valac (>= 0.17.2.12),

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,14 @@
 
 # Disable tests as they don't work for some reason
 override_dh_auto_test:
-	make -p check || true
+	dbus-test-runner -t make -p check || true
 
 %:
 	dh $@ --with autoreconf,gir
 
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-silent-rules
+
 override_dh_install:
 	find debian/tmp/usr/lib -name *.la -delete
 	dh_install --fail-missing

=== debian/watch ===
version=3
http://download.gnome.org/sources/libsecret/([\d\.]+\d)/ \
	libsecret-(.*)\.tar\.xz

## libsecret 0.18

=== debian/changelog ===
libsecret (0.18-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * debian/rules:
    - Build with --disable-silent-rules for a useful build log
  * Update homepage

  [ Michael Biebl ]
  * New upstream release (0.16).
  * Refresh patches.

  [ Jackson Doak ]
  * debian/control:
    - Improve description of libsecret-tools. Closes: #711475

  [ Andreas Henriksson ]
  * New upstream release (0.18)
  * Bump glib build-dependency to >= 2.38.0 according to configure.ac
  * Drop debian/patches, both patches obsolete.
    - debian/patches/dont_run_gjs_tests.patch
    - debian/patches/introspection-dir.patch
  * Bump Standards-Version to 3.9.5
  * Update debian/libsecret-1-0.symbols
    - Missing secret_service_new* symbols...
    - See https://git.gnome.org/browse/libsecret/commit/?id=1758194f26a41
    - "The _new() suffix confuses vala and gobject introspection [...]
       This is an API/API break, but its to the portion of the library
       marked as unstable. [...]"
    - Also adds several new symbols
  * Add "Breaks: libsecret (<< 3.12)" to libsecret-1-0 to handle above.
  * Install Secret g-i typelib file from multiarch path.
  * debian/rules: quote the wildcard argument of find to avoid premature exp.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 23 Mar 2014 20:43:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,28 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: libsecret
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                intltool (>= 0.35.0),
-               libglib2.0-dev (>= 2.31.0),
+               libglib2.0-dev (>= 2.38.0),
                libgcrypt11-dev (>= 1.2.2),
                libgirepository1.0-dev (>= 1.29),
-               dbus-test-runner,
                gobject-introspection (>= 1.29),
                gtk-doc-tools,
                valac (>= 0.17.2.12),
                python-dbus,
                python-gobject,
                gnome-pkg-tools
-Standards-Version: 3.9.4
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/libsecret
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libsecret
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsecret/
-Homepage: https://live.gnome.org/Libsecret
+Homepage: https://wiki.gnome.org/Libsecret
 
 Package: libsecret-1-dev
 Architecture: any
@@ -46,6 +45,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libsecret-common
+Breaks: seahorse (<< 3.12)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Secret store
@@ -71,8 +71,10 @@
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: foreign
-Description: Tools for accessing secret store
- Provides tools for accessing the secret store.
+Description: tool for storing and retrieving GObject passwords
+ This package provides a command line tool using libsecret to access
+ the freedesktop.org Secret Service API. This can be used to store
+ and retrieve passwords for desktop applications.
 
 Package: gir1.2-secret-1
 Section: introspection

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with autoreconf,gir

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_install:
	find debian/tmp/usr/lib -name '*.la' -delete
	dh_install --fail-missing

# Disable tests as they don't work for some reason
override_dh_auto_test:
	make -p check || true

## libsecret 0.18.3

=== debian/changelog ===
libsecret (0.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Aug 2015 15:58:33 +0200

libsecret (0.18.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Bump gtk-doc-tools build-dep to >= 1.9

  [ Iain Lane ]
  * Lower Breaks version to seahorse (<< 3.10), as the API port happened in
    this version.

  [ Michael Biebl ]
  * New upstream release.
  * Install typelib files into multiarch paths.
  * Mark gir and dev packages as Multi-Arch: same.
  * Update Homepage: URL.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Fix invalid short name for BSD license in debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 May 2015 01:22:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: libsecret
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                intltool (>= 0.35.0),
@@ -15,15 +14,15 @@
                libgcrypt11-dev (>= 1.2.2),
                libgirepository1.0-dev (>= 1.29),
                gobject-introspection (>= 1.29),
-               gtk-doc-tools,
+               gtk-doc-tools (>= 1.9),
                valac (>= 0.17.2.12),
                python-dbus,
                python-gobject,
                gnome-pkg-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libsecret
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsecret/
-Homepage: https://wiki.gnome.org/Libsecret
+Homepage: https://wiki.gnome.org/Projects/Libsecret
 
 Package: libsecret-1-dev
 Architecture: any
@@ -33,6 +32,7 @@
          libglib2.0-dev,
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Secret store (development files)
  Library for storing and retrieving passwords and other secrets.
  It communicates with the "Secret Service" using DBus.
@@ -45,7 +45,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libsecret-common
-Breaks: seahorse (<< 3.12)
+Breaks: seahorse (<< 3.10)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Secret store
@@ -81,6 +81,7 @@
 Architecture: any
 Depends: ${gir:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: Secret store (GObject-Introspection)
  This package contains introspection data for libsecret, which can be used
  to generate dynamic bindings.

## libsecret 0.18.4

=== debian/changelog ===
libsecret (0.18.4-1ubuntu2) xenial; urgency=medium

  * Don't run the python and vala tests on s390x, hanging. In 0.18.3,
    these all failed to run due to dbus/mock failures.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Apr 2016 18:59:56 +0200

libsecret (0.18.4-1ubuntu1) xenial; urgency=medium

  * debian/control.in,
    debian/patches/dont_use_gjs.patch:
    - don't build-depends on gjs it's in universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Feb 2016 09:59:28 +0100

libsecret (0.18.4-1) unstable; urgency=medium

  * New upstream release.
  * Run test suite during build
    - Add Build-Depends on dbus on gjs.
    - Use dbus-run-session to run the test suite as some of the tests require
      a D-Bus session.
    - Unset LD_PRELOAD when running the test suite as most tests fail when run
      under fakeroot.

 -- Michael Biebl <biebl@debian.org>  Mon, 25 Jan 2016 01:05:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: libsecret
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                intltool (>= 0.35.0),
@@ -18,10 +19,11 @@
                valac (>= 0.17.2.12),
                python-dbus,
                python-gobject,
-               gnome-pkg-tools
+               gnome-pkg-tools,
+               dbus,
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libsecret
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsecret/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsecret/
 Homepage: https://wiki.gnome.org/Projects/Libsecret
 
 Package: libsecret-1-dev

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,12 @@
 %:
 	dh $@ --with autoreconf,gir
 
+override_dh_autoreconf:
+ifneq (,$(filter $(DEB_HOST_ARCH),s390x))
+	sed -i -e '/^TESTS/s/\$$(PY_TESTS)//' -e '/^TESTS/s/\$$(VALA_TESTS)//' libsecret/Makefile.am
+endif
+	dh_autoreconf
+
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-silent-rules
 
@@ -13,7 +19,6 @@
 	find debian/tmp/usr/lib -name '*.la' -delete
 	dh_install --fail-missing
 
-# Disable tests as they don't work for some reason
 override_dh_auto_test:
-	make -p check || true
+	env -u LD_PRELOAD dbus-run-session -- make check

## libsecret 0.18.5

=== debian/changelog ===
libsecret (0.18.5-4) unstable; urgency=medium

  * debian/control.in:
    - Build-Depend on libgcrypt20-dev instead of transitional package
      (Closes: #864119)
  * Bump debhelper compat to 10
  * Enable all hardening flags
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Oct 2017 13:39:52 -0400

libsecret (0.18.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0004-tests-collection-add-setup-delay.patch:
    + Fix failing test "collection/delete-sync" by correctly placing
      the delay. Closes: #855951.

 -- Carsten Leonhardt <leo@debian.org>  Sat, 18 Mar 2017 15:56:31 +0000

libsecret (0.18.5-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add basic autopkgtest to run upstream build tests

  [ Emilio Pozuelo Monfort ]
  * debian/patches/0004-tests-collection-add-setup-delay.patch:
    + Add some delay for the test bus to go up and down. Fixes a test
      that otherwise may fail, especially when running on a single cpu
      machine. Closes: #837067.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 21 Feb 2017 22:57:01 +0100

libsecret (0.18.5-2) unstable; urgency=medium

  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.
  * Compile vala unstable tests with SECRET_WITH_UNSTABLE=1.
    Without this the generated C code compiles without the correct header
    (warnings are disabled so this is not obvious). This was causing the test
    to crash. (Closes: #821347)

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Sep 2016 12:16:44 +0200

libsecret (0.18.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.
  * Replace Build-Depends on python-dbus and python-gobject with python3-dbus
    and python3-gi following the upstream port to Python 3 and modern
    pygobject.
  * Port remaining tests to Python 3. Patches cherry-picked from upstream Git.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Apr 2016 01:20:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,22 @@
 Source: libsecret
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: debhelper (>= 10),
                intltool (>= 0.35.0),
                libglib2.0-dev (>= 2.38.0),
-               libgcrypt11-dev (>= 1.2.2),
+               libgcrypt20-dev (>= 1.2.2),
                libgirepository1.0-dev (>= 1.29),
                gobject-introspection (>= 1.29),
                gtk-doc-tools (>= 1.9),
                valac (>= 0.17.2.12),
-               python-dbus,
-               python-gobject,
+               python3-dbus,
+               python3-gi,
                gnome-pkg-tools,
                dbus,
-Standards-Version: 3.9.6
+               gjs
+Standards-Version: 4.1.1
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libsecret
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsecret/
 Homepage: https://wiki.gnome.org/Projects/Libsecret

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir,gnome

override_dh_install:
	find debian/tmp/usr/lib -name '*.la' -delete
	dh_install --fail-missing

override_dh_auto_test:
	env -u LD_PRELOAD dbus-run-session -- make check

## libsecret 0.18.6

=== debian/changelog ===
libsecret (0.18.6-3) unstable; urgency=medium

  * Don't Build-Depend on gjs on s390x and stop running js tests there
    in preparation for removing gjs on s390x (#909536) (LP: #1794721)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Sep 2018 14:46:00 -0400

libsecret (0.18.6-2) unstable; urgency=medium

  * debian/rules: fix logic error in nocheck handling (Closes: #897596)
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 03 May 2018 08:29:15 -0400

libsecret (0.18.6-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Drop patches included in new release
  * debian/libsecret-1-0.symbols: update for new symbols

 -- Tim Lunn <tim@feathertop.org>  Sat, 31 Mar 2018 16:43:19 +1100

libsecret (0.18.5-6) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Drop autopkgtest that only rebuilds and re-runs the build tests
    we already run during build

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 31 Jan 2018 14:28:23 -0500

libsecret (0.18.5-5) unstable; urgency=medium

  * debian/rules:
    - Don't run Python and Vala tests on Ubuntu's s390x since
      they hang on Launchpad's builders
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 17:36:24 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libsecret
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper (>= 11),
                intltool (>= 0.35.0),
                libglib2.0-dev (>= 2.38.0),
                libgcrypt20-dev (>= 1.2.2),
@@ -18,11 +18,11 @@
                python3-dbus,
                python3-gi,
                gnome-pkg-tools,
-               dbus,
-               gjs
-Standards-Version: 4.1.1
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libsecret
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsecret/
+               dbus <!nocheck>,
+               gjs [!s390x] <!nocheck>
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/gnome-team/libsecret
+Vcs-Git: https://salsa.debian.org/gnome-team/libsecret.git
 Homepage: https://wiki.gnome.org/Projects/Libsecret
 
 Package: libsecret-1-dev
@@ -32,7 +32,6 @@
          gir1.2-secret-1 (= ${binary:Version}),
          libglib2.0-dev,
          ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Secret store (development files)
  Library for storing and retrieving passwords and other secrets.
@@ -47,7 +46,6 @@
          ${shlibs:Depends},
          libsecret-common
 Breaks: seahorse (<< 3.10)
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Secret store
  Library for storing and retrieving passwords and other secrets.
@@ -57,7 +55,6 @@
 Section: libs
 Architecture: all
 Depends: ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: foreign
 Description: Secret store (common files)
  Library for storing and retrieving passwords and other secrets.
@@ -70,7 +67,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: foreign
 Description: tool for storing and retrieving GObject passwords
  This package provides a command line tool using libsecret to access

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

# We can't depend on gjs being available on s390x. See #909536
# Also, some tests hang on Launchpad builders on s390x
override_dh_autoreconf:
ifneq (,$(filter $(DEB_HOST_ARCH),s390x))
	sed -i -e '/^TESTS/s/\$$(JS_TESTS)//' libsecret/Makefile.am
ifeq (yes,$(shell dpkg-vendor --is Ubuntu && echo yes))
	sed -i -e '/^TESTS/s/\$$(PY_TESTS)//' -e '/^TESTS/s/\$$(VALA_TESTS)//' \
		 libsecret/Makefile.am
endif
endif
	dh_autoreconf --as-needed

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	env -u LD_PRELOAD dbus-run-session -- make check
endif

## libsecret 0.18.7

=== debian/changelog ===
libsecret (0.18.7-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete Build-Depends on intltool

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 29 Dec 2018 09:39:11 -0500

libsecret (0.18.6-4) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Run dh_auto_test instead of make check
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 08:56:05 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11),
-               intltool (>= 0.35.0),
                libglib2.0-dev (>= 2.38.0),
                libgcrypt20-dev (>= 1.2.2),
                libgirepository1.0-dev (>= 1.29),
@@ -20,7 +19,7 @@
                gnome-pkg-tools,
                dbus <!nocheck>,
                gjs [!s390x] <!nocheck>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsecret
 Vcs-Git: https://salsa.debian.org/gnome-team/libsecret.git
 Homepage: https://wiki.gnome.org/Projects/Libsecret
@@ -87,4 +86,3 @@
  It communicates with the "Secret Service" using DBus.
  .
  This package contains the introspection datas for the libsecret library.
-

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gir,gnome
@@ -30,5 +30,5 @@
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	env -u LD_PRELOAD dbus-run-session -- make check
+	env -u LD_PRELOAD dbus-run-session -- dh_auto_test
 endif

## libsecret 0.18.8

=== debian/changelog ===
libsecret (0.18.8-2) unstable; urgency=medium

  * Team upload
  * d/p/build-Drop-TAP-wrapper-script-around-GLib-tests.patch,
    d/p/build-Use-stock-tap-driver-from-automake.patch:
    Apply patches from 0.19.x to fix FTBFS with GLib 2.62
    (Closes: #940086)
  * Build-depend on a python3-dbus with #940087 fixed
  * d/tests/libsecret-1-dev: Add a superficial build-test
  * Standards-Version: 4.4.0 (no changes required)
  * Set Rules-Requires-Root to no
  * Use debhelper-compat 12
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Sep 2019 11:50:23 +0100

libsecret (0.18.8-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libglib2.0-dev to 2.44.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Mar 2019 08:55:40 -0400

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,21 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11),
-               libglib2.0-dev (>= 2.38.0),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 12),
+               libglib2.0-dev (>= 2.44.0),
                libgcrypt20-dev (>= 1.2.2),
                libgirepository1.0-dev (>= 1.29),
                gobject-introspection (>= 1.29),
                gtk-doc-tools (>= 1.9),
                valac (>= 0.17.2.12),
-               python3-dbus,
+               python3-dbus (>= 1.2.12) | python3-dbus (<< 1.2.10),
                python3-gi,
                gnome-pkg-tools,
                dbus <!nocheck>,
                gjs [!s390x] <!nocheck>
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsecret
 Vcs-Git: https://salsa.debian.org/gnome-team/libsecret.git
 Homepage: https://wiki.gnome.org/Projects/Libsecret
@@ -29,7 +30,7 @@
 Section: libdevel
 Depends: libsecret-1-0 (= ${binary:Version}),
          gir1.2-secret-1 (= ${binary:Version}),
-         libglib2.0-dev,
+         libglib2.0-dev (>= 2.44.0),
          ${misc:Depends}
 Multi-Arch: same
 Description: Secret store (development files)

## libsecret 0.19.1

=== debian/changelog ===
libsecret (0.19.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libsecret-1.0.symbols: Add new symbols
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Drop patches cherry-picked from 0.19
  * Refresh 0004-tests-collection-add-setup-delay.patch

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 26 Sep 2019 06:38:13 -0400

## libsecret 0.20.2

=== debian/changelog ===
libsecret (0.20.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Mar 2020 09:31:07 +0100

libsecret (0.20.1-1) unstable; urgency=medium

  * New upstream release
  * debian/tests:
    - make autopkgtests cross-test-friendly.
  * debian/libsecret-1-0.symbols:
    - updated for the symbols added in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Feb 2020 13:42:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                libglib2.0-dev (>= 2.44.0),
                libgcrypt20-dev (>= 1.2.2),
                libgirepository1.0-dev (>= 1.29),
-               gobject-introspection (>= 1.29),
                gtk-doc-tools (>= 1.9),
                valac (>= 0.17.2.12),
                python3-dbus (>= 1.2.12) | python3-dbus (<< 1.2.10),
                python3-gi,
-               gnome-pkg-tools,
                dbus <!nocheck>,
                gjs [!s390x] <!nocheck>
 Rules-Requires-Root: no

## libsecret 0.20.3

=== debian/changelog ===
libsecret (0.20.3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Disable the parallel execution of the tests.
    That should reduce the likeliness of race conditions in them

 -- Laurent Bigonville <bigon@debian.org>  Fri, 24 Apr 2020 12:17:12 +0200

libsecret (0.20.2-2) unstable; urgency=medium

  * Only BD on gjs on architectures where it's successfully built (aka release
    architectures)
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Regenerate the documentation during the build and add libglib2.0-doc to
    the BD

 -- Laurent Bigonville <bigon@debian.org>  Fri, 24 Apr 2020 08:44:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
                libglib2.0-dev (>= 2.44.0),
+               libglib2.0-doc (>= 2.44.0),
                libgcrypt20-dev (>= 1.2.2),
                libgirepository1.0-dev (>= 1.29),
                gtk-doc-tools (>= 1.9),
@@ -18,9 +19,9 @@
                python3-dbus (>= 1.2.12) | python3-dbus (<< 1.2.10),
                python3-gi,
                dbus <!nocheck>,
-               gjs [!s390x] <!nocheck>
+               gjs [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x] <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsecret
 Vcs-Git: https://salsa.debian.org/gnome-team/libsecret.git
 Homepage: https://wiki.gnome.org/Projects/Libsecret

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,19 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gir,gnome
+	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-gtk-doc
 
 # We can't depend on gjs being available on s390x. See #909536
 # Also, some tests hang on Launchpad builders on s390x
 override_dh_autoreconf:
+ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x))
+	sed -i -e '/^TESTS/s/\$$(JS_TESTS)//' libsecret/Makefile.am
+endif
+ifeq (yes,$(shell dpkg-vendor --is Ubuntu && echo yes))
 ifneq (,$(filter $(DEB_HOST_ARCH),s390x))
-	sed -i -e '/^TESTS/s/\$$(JS_TESTS)//' libsecret/Makefile.am
-ifeq (yes,$(shell dpkg-vendor --is Ubuntu && echo yes))
 	sed -i -e '/^TESTS/s/\$$(PY_TESTS)//' -e '/^TESTS/s/\$$(VALA_TESTS)//' \
 		 libsecret/Makefile.am
 endif
@@ -30,5 +35,5 @@
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	env -u LD_PRELOAD dbus-run-session -- dh_auto_test
+	env -u LD_PRELOAD dbus-run-session -- dh_auto_test --no-parallel
 endif

## libsecret 0.20.4

=== meson_options.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 option('debugging', type: 'boolean', value: false, description: 'Turn debugging on/off')
 option('vapi', type: 'boolean', value: true, description: 'Create VAPI file.')
 option('gtk_doc', type: 'boolean', value: true, description: 'Build reference documentation using gtk-doc')
+option('introspection', type: 'boolean', value: true, description: 'Create GIR file.')

=== debian/changelog ===
libsecret (0.20.4-2) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Annotate Python build depends with <!nocheck>
    These dependencies are not satisfiable when cross-building, but
    they're only needed for testing. (Closes: #981258)

  [ Simon McVittie ]
  * Simplify python3-dbus dependency.
    We no longer need to avoid the regression in 1.2.10, because it has
    not been current in any suite for a long time.
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 13:46:00 +0000

libsecret (0.20.4-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Dec 2020 15:21:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -16,12 +16,12 @@
                libgirepository1.0-dev (>= 1.29),
                gtk-doc-tools (>= 1.9),
                valac (>= 0.17.2.12),
-               python3-dbus (>= 1.2.12) | python3-dbus (<< 1.2.10),
-               python3-gi,
+               python3-dbus <!nocheck>,
+               python3-gi <!nocheck>,
                dbus <!nocheck>,
                gjs [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x] <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsecret
 Vcs-Git: https://salsa.debian.org/gnome-team/libsecret.git
 Homepage: https://wiki.gnome.org/Projects/Libsecret

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: libsecret-1-dev
Depends: build-essential,
         dbus,
         libsecret-1-dev,
         pkg-config,
Restrictions: allow-stderr superficial
